using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace NestedPropertiesSample {
	public class NPSControl : Control {
		NestedPropertyClass pp, cp;
		public NPSControl() {
			pp = new NestedPropertyClass(1);
			cp = new NestedPropertyClass(2);
		}
		public NestedPropertyClass ParentPersist {
			get {
				return pp;
			} set {
				pp = value;
			}
		}
		[DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
		public NestedPropertyClass ChildPersist {
			get {
				return cp;
			}
		}
	}
	[Serializable]
	public class NestedPropertyClass {
		int data;
		public NestedPropertyClass(int data) {
			this.data = data;
		}
		public int Data {
			get {
				return data;
			} set {
				data = value;
			}
		}
	}
}
